//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.2-147 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.06 at 12:22:27 AM EET 
//


package org.xbrl._int.gl.bus._2016_12_01;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.xbrl._int.gl.gen._2016_12_01.EmailAddressItemType;
import org.xbrl._int.gl.gen._2016_12_01.EmailAddressUsageItemType;


/**
 * <p>Java class for accountantContactEmailAddressStructureComplexType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="accountantContactEmailAddressStructureComplexType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}accountantContactEmailAddressUsage" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}accountantContactEmailAddress" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "accountantContactEmailAddressStructureComplexType", propOrder = {
    "accountantContactEmailAddressUsage",
    "accountantContactEmailAddress"
})
public class AccountantContactEmailAddressStructureComplexType {

    @XmlElement(nillable = true)
    protected EmailAddressUsageItemType accountantContactEmailAddressUsage;
    @XmlElement(nillable = true)
    protected EmailAddressItemType accountantContactEmailAddress;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;

    /**
     * Gets the value of the accountantContactEmailAddressUsage property.
     * 
     * @return
     *     possible object is
     *     {@link EmailAddressUsageItemType }
     *     
     */
    public EmailAddressUsageItemType getAccountantContactEmailAddressUsage() {
        return accountantContactEmailAddressUsage;
    }

    /**
     * Sets the value of the accountantContactEmailAddressUsage property.
     * 
     * @param value
     *     allowed object is
     *     {@link EmailAddressUsageItemType }
     *     
     */
    public void setAccountantContactEmailAddressUsage(EmailAddressUsageItemType value) {
        this.accountantContactEmailAddressUsage = value;
    }

    /**
     * Gets the value of the accountantContactEmailAddress property.
     * 
     * @return
     *     possible object is
     *     {@link EmailAddressItemType }
     *     
     */
    public EmailAddressItemType getAccountantContactEmailAddress() {
        return accountantContactEmailAddress;
    }

    /**
     * Sets the value of the accountantContactEmailAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link EmailAddressItemType }
     *     
     */
    public void setAccountantContactEmailAddress(EmailAddressItemType value) {
        this.accountantContactEmailAddress = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

}
